<!DOCTYPE html>
<html>
 <head>   
     <title>ViewWidth vs ViewHeight</title>
<style>
    div{
        border: 2px solid black;

    }
    .fifty-vw{
        width: 50vw;
        background-color: cadetblue;
    }
    .twentyfive-vh{
            height: 25vh;
            background-color: cadetblue;
    }
    .parent{
        width: 250px;
        background-color: blueviolet;
    }
</style>
 </head>

<body>
    <div class="fifty-vw">50 vw</div>
    <div class="twentyfive-vh">25vh</div>
    <hr><hr>
    <div class="parent">
        <div class="fifty-vw">50 vw</vwdiv>
        <div class="twentyfive-vh">25vh</div>
    </div>
</body>

</html>